# Create a Webhook **POST /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks** Create a Webhook. ## Servers - https://dataflownode.zerionsoftware.com/zcrypt/v1.0: https://dataflownode.zerionsoftware.com/zcrypt/v1.0 () ## Authentication methods - Oauth2 ## Parameters ### Path parameters - **dataflowId** (string) id of the Dataflow - **recordSetId** (string) id of the RecordSet ### Body: application/json (object) - **requested_server** (string) set "https://dataflownode.zerionsoftware.com" for production Environment and "https://{{serverId}}-dataflownode.zerionsoftware.com" for a specific serverId if they do not share the same domain with production. - **secure_webhook** (string) true for secured webhook, and false for insecured webhook - **webhook_name** (string) name for the new webhook ## Responses ### 200 OK #### Body: application/json (object) - **id** (string) webhook name - **key** (string) if secureWebhook is included, the returns will contain a public key for the webhook signature - **record_set_id** (string) recordSet that connects to the webhook - **requested_date** (string) created date - **secure** (boolean) true if secureWebhook is included with true value, false for other cases - **webhook_name** (string) webhook name - **webhook_url** (string) webhook URL [Powered by Bump.sh](https://bump.sh)